hydrogen (1.2.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112997)

 -- Adrian Bunk <bunk@debian.org>  Fri, 21 Nov 2025 14:25:55 +0200

hydrogen (1.2.2+dfsg-2) unstable; urgency=medium

  * Remove redundant and incomplete copy of "old_tutorial" because upstream
    now ships the canonical tutorial in its entirety in
    /usr/share/hydrogen/data/doc/tutorial_??.html.
  * Decruft docbase registration of "old_tutorial" and add the new
    upstream-defined tutorial location (this should have been done for
    1.2.2+dfsg-1).
  * Clean up spare /usr/share/hydrogen/data/doc/res/LICENSE.
  * Migrate from pkg-config to pkgconf.
  * Lintian no longer recognises the validity of CC0-1.0 relicenced to GPL-2+,
    so declare that the appdata.xml is CC0-1.0 (lintian is wrong, and this is
    only to silence lintian).
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Aug 2024 23:13:19 -0400

hydrogen (1.2.2+dfsg-1) experimental; urgency=medium

  * Make use of uscan's multiple upstream tarball (MUT) to add source URL
    for upstream documentation to the watch file.
  * Enable documentation component (by default) in gbp.conf.
  * New upstream release 1.2.0+dfsg.
  * New upstream release 1.2.1+dfsg.
  * Drop 1001-patch-stats.py-with-Python-2to3.patch (no longer needed).
  * Cherry pick 0003-PortMidiDriver-now-compatible-with-PortMidi-217.patch
    from upstream.
  * Add copyright info for the new documentation source.
  * Override lintian false positive for "source-is-missing [documentation/*]".
  * Update my copyright years.
  * Build depend on itstool, so documentation can be rebuilt for DFSG
    compliance.
  * Add 0004-Define-documentation-subdir.patch.
  * Install the new localised documentation (Closes: #1040557, #1025375).
  * Update hydrogen-doc.links because the in-application documentation is now
    the newest available manual rather than the old manuals and tutorials.
  * Stop calling the ancient tutorial "new_tutorial", and install it to
    /usr/share/doc/hydrogen-doc/old_tutorial.
  * New upstream release 1.2.2+dfsg.
  * Rebase quilt series onto this release:
    - Drop 0003-PortMidiDriver-now-compatible-with-PortMidi-217.patch (contents
    already upstream).
    + Update 0004-Define-documentation-subdir.patch to work directly from the
    documentation subdir.
  * Switch from dh overrides to new style 'execute before' and 'execute_after'
    commands injected into the debhelper sequence.
  * Adapt package to upstream's migration from appdata.xml to metainfo.xml.
  * Update upstream copyright years.
  * Use local fonts only:
    + Add 0004-use-local-fonts-only.patch
    + Hydrogen-doc now needs to recommend fonts-noto-core, and fonts-b612.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 27 Oct 2023 16:40:08 -0400

hydrogen (1.2.0~beta1+dfsg-1) unstable; urgency=medium

  * New upstream release 1.2.0-beta1+dfsg.
  * Clean Hydrogen of currently non-DFSG new documentation
    - Use Files-Excluded to exclude tutorial_en.html, which has no source.
    - Add dversion mangling so that uscan will continue to function correctly.
  * Rebase patch queue onto this release.
  * Add libqt5svg5-dev and qttools5-dev-tools to build deps.
  * Drop now irrelevant and incorrect usr/share/hydrogen/data/*.h2song from
    hydrogen-data.install.
  * Install new default theme.
  * Copyright: Update my email address and years.
  * Update watch file to correctly mangle upstream prerelease version
    separator; The effect is $1-foo-1 to $1~foo-1 in the Debian package; This
    is needed because all prereleases should sort lower than the actual
    upstream release.

  [ Nicholas D Steeves and Dennis Braun ]
  * Declare Standards-Version: 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sun, 27 Nov 2022 14:22:34 -0500

hydrogen (1.1.1+52.gb917e057-1) unstable; urgency=medium

  * Import upstream snapshot. (Closes: #1005912)
  * Rebase patch queue onto this version.
  * Temporarily disable docs install (they don't exist in dev releases).
  * Overwrite source/lintian-overrides with hydrogen.lintian-overrides.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 12 Apr 2022 17:30:24 -0400

hydrogen (1.1.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Switch watch file to Github Releases, because upstream appears to have
    abandoned the sf.net project (eg: the 1.1.0 release tarball exists only
    on Github).
  * Also update Source in copyright.
  * Declare Standards-Version: 4.6.0.1 (no changes required).
  * Add lintian override for false positive
    inconsistent-appstream-metadata-license, because (gpl-2.0+ != gpl-2+) is
    false; these are equivalent expressions that refer to the same license.
  * Harmonise copyright file with upstream claims, and note the contributors
    who appear to have been deleted without a trace in the Comment field for
    "Files: *".

 -- Nicholas D Steeves <sten@debian.org>  Mon, 07 Feb 2022 23:43:16 -0700

hydrogen (1.1.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream release: version 1.1.0~beta1.
  * Rebase all patches onto this release.
  * Adjust hydrogen-doc.install for new location of documentation assets.
  * Remove build/CMakeCache.txt using dh_clean.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 07 May 2021 10:30:30 -0400

hydrogen (1.0.1-3) unstable; urgency=medium

  * Add Breaks & Replaces to hydrogen for hydrogen-data (Closes: #983089)
    + Fixes the upgrade from buster to bullseye with the man page installation
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 19 Feb 2021 15:48:08 +0100

hydrogen (1.0.1-2) unstable; urgency=medium

  * control: Update my email address.
  * Do source-only upload to package can migrate to testing.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 28 Jan 2021 23:04:01 -0500

hydrogen (1.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Filipe Sateler]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update d/changelog: deleting unnecessary empty lines
  * Update d/control:
    - add Pulseaudio to the description
    - debhelper: declare version
  * Update d/hydrogen.install (install a better image)

  [ Nicholas D Steeves ]
  * Reintroduce hydrogen to Debian. (Closes: #960539)
  * New upstream version 1.0.0~beta2.
  * Rebase all patches onto 1.0.0~beta2:
    - Drop 020170916~27d664c.patch (possibly resurrect).
    - Drop 1000_portaudio_v2.patch (no longer needed).
    - Drop 1001_rubberband_path.patch (merged upstream).
    - Drop 1002_fix_locale_coverage.patch (exists upstream @L42).
    - Drop 1005_name_shouldnt_repeat_genericname.patch (merged upstream).
    - Drop 1006_porttime.patch (merged upstream).
    - Drop 1008-ftbfs-gcc-4.7.diff (no longer needed).
    - Drop 1010-spelling.patch (no longer needed).
    - Drop 1015-man_path.patch (no longer needed).
    - Drop 1020-cxx_flags.patch (no longer needed).
  * Fix typos in description, enhance grammar, and refer to Qt as "Qt"
    rather than "QT". Thanks to Thomas Vincent for finding this while
    working on a translation. (Closes: #945042)
  * Update filenamemangle, uversionmangle, and version match to allow uscan
    to detect alpha, beta, and rc versions.  We're now tracking beta Qt5
    releases, because Qt4 is unmaintained and was removed from Debian.
  * Built against qtbase5-dev instead of libqt4-dev. (Closes: #954823)
  * Add the following new build-deps: libqt5xmlpatterns5-dev, qttools5-dev.
  * Add myself to Uploaders.
  * rules: export QTDIR=/usr/lib/qt5.
  * Add libcppunit-dev to build-deps; this will activate unit tests.
  * Add liblo-dev to build-deps; this enables Open Sound Control (OSC).
  * Add 1001-patch-stats.py-with-Python-2to3.patch.
  * Drop Jaromír Mikeš from Uploaders, because he has not been active in
    Debian for > 2 years, and because he communicated that he is no longer
    working on this package (see Bug #954823, Message #15).
  * Drop Jonas Smedegaard from Uploaders on his request (see Bug #954823,
    Message #37).
  * Migrate the package from cdbs to debhelper:
    - Switch to debhelper-compat 13.
    - Drop debian/control.in.
    - Drop cdbs build-dep.
    - Convert existing rules file into dh sequence compatible format, and
      drop the license boilerplate, because this is declared in Files:debian/*
      of copyright.
    - Install man page with debian/hydrogen.manpages.
    - Drop README.source, which existed to declare that this was a cdbs-using
      package.
    - Drop translation regeneration during dh_auto_build, because it replaces
      good translations with unfinished ones, eg: "Directory %1 does not
      exist" -> "Le répertoire %1 n'existe pas" is replace by "unfinished".
    - Drop copyright-check and copyright_hints, which were used in the cdbs
      rules, but which are no longer used.
  * Update hydrogen-data.install for new upstream locations of appdata.xml.
  * Update hydrogen-data.install and hydrogen-data.links for new upstream
    location of h2-icon.svg.
  * hydrogen.install: Drop icon installation, because it exists in
    hydrogen-data.
  * rules: export DEB_CMAKE_EXTRA_FLAGS
  * copyright:
    - Fix inaccurate date range for "The hydrogen development team".
    - Update Sebastian Moors' years.
    - Update Jérémy Zurcher's years.
    - Add missing section for cmake/Sanitizers.cmake.
    - Add missing section for Przemysław Sitek's files.
    - Add missing section for src/www/hydrogen.php.
    - Add myself to Files: debian/*
    - Drop License-Grant and License-Reference fields, because they are not
      part of DEP-5.
    - Add short license texts for GPL-2+, GPL-3+, and Apache-2.0, and include
      the conventional "On Debian systems, the complete text…can be
      found…common-licenses/license-name" text.
  * source/lintian-overrides: Bug #786450 has not yet been resolved.  Drop
    overrides for missing-license-paragraph-in-dep5 and
    missing-license-text-in-dep5, because they are no longer necessary with
    the changes to copyright noted above.
  * Add hydrogen-doc.links to make the manual, old tutorial, and new tutorial
    more discoverable by linking them to /usr/share/docs.
  * Register the tutorial with docbase.
  * Add lintian override for
    package-contains-documentation-outside-usr-share-doc.  See header of
    hydrogen-doc.lintian-overrides for more information.
  * Reimport upstream 1.0.1 using Sourceforge tarball, because the Github one
    omits the HTML manual (available in LANG codes: CA, EN, ES, FR, IT, and
    NL).  The New Tutorial is unfortunately only available in EN; however,
    the old tutorial continues to be provided for EN, FR, and IT.
  * Update watch file to use the Sourceforge source, and declare that we're
    using this source in copyright.
  * Drop build-dep on dh-buildinfo; this functionality is now provided by
    default with .buildinfo files.
  * control: Document why we can't use an https Homepage at this time.
  * 2001_avoid_live_non-free_drumkits.patch: Add missing original Date and
    Forwarded fields.
  * debian/tests/control: Add comment indicating why "allow-stderr" is
    probably the right decision.
  * Add 0003-use-h2-icon.png.patch and install h2-icon.bpm as h2-icon.png.
  * Add upstream/metadata.
  * Add override_dh_auto_configure to pass $DEB_CMAKE_EXTRA_FLAGS as
    arguments to cmake and thus actually do something with them.
  * Create debian/not-installed to ignore the unused static library
    (libhydrogen-core-1.0.1.a).
  * Also ignore headers by adding them to not-installed.  In both cases, see
    git history to quickly revert and restore bin:libhydrogen-core-1.0.1 and
    bin:hydrogen-dev, if ever someone requires them.

  [ Dennis Braun ]
  * New upstream version 1.0.1
  * Update 2001_avoid_live_non-free_drumkits.patch
  * Install the desktop icon directly from
    usr/share/icons/hicolor/scalable/apps
  * Add me as uploader
  * Set Rules-Requires-Root: no
  * Update d/copyright:
    - Add "The hydrogen development team" to Files: *
    - Remove obsolete file entries and LGPL-2.1+
    - Add myself to the debian/ section
  * Update d/source/lintian-overrides:
    - inconsistent-appstream-metadata-license is false positive

  [ Dennis Braun and Nicholas D Steeves ]
  * Provide an autopkgtest (h2cli-convert); this functionally tests
    Hydrogen's h2song (xml) export-to-wav functionality, and tests if the
    resulting wav file has the requested target bit depth and sampling
    rate.
  * Declare Standards-Version: 4.5.1 (no further changes required).

  [ Ross Gammon ]
  * Move appdata.xml and desktop file to the hydrogen package
  * Remove unused lintian override for desktop file
  * Drop changelog entry for unreleased beta version

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 06 Jan 2021 21:17:22 -0500

hydrogen (0.9.7-6) unstable; urgency=medium

  * Extend patch 2001 to contain no builtin default feed URL.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Sep 2017 21:56:43 +0200

hydrogen (0.9.7-5) unstable; urgency=medium

  * Fix install all architecture-independent data in hydrogen-data.
    Bump breaks+replaces.
  * Fix install appdata below /usr/share/metainfo.
  * Limit patch 2001 to patch config file (not builtin defaults.
    Thanks to IOhannes m zmölnig.
  * Tighten lintian overrides regarding License-Reference.
  * Declare compliance with Debian Policy 4.1.0.
  * Add lintian override for separation of command from desktop file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Sep 2017 20:10:16 +0200

hydrogen (0.9.7-4) unstable; urgency=medium

  * Fix missing DEP-3 headers for patch 1000 (seems from git commits
    that I wrote that patch, although I don't remember it).
  * Add README.Debian documenting deviation from upstream regarding
    online downloadable drumkit feeds.
    Thanks to IOhannes m zmölnig.
  * Tidy rules file: Reorganize package relations variables.
  * Add patch cherry-picked upstream to fix crash enabling rubberband
    with new empty instrument component.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Sep 2017 23:14:30 +0200

hydrogen (0.9.7-3) unstable; urgency=medium

  * Add patch 2001 to offer live download of only free drumkits by
    default.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Aug 2017 21:04:32 +0200

hydrogen (0.9.7-2) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Remove unused B-D on libaudiofile-dev.

  [ Jonas Smedegaard ]
  * Fix drop README.source section about special care for CDBS: Directly
    contradicts section emphasizing that *no* special care is needed
    (CDBS users handle merges).
  * Revert to debhelper compatibility level 9: No concrete need, and may
    complicate backortability.
  * Update patches:
    + Refresh with shortening quilt options.
  * Update copyright info:
    + List Github as source.
    + List Github issue tracker as preferred upstream contact.
    + Use https protocol in initial format line.
    + Fix double-space delimit copyright holders.
    + Merge equally licensed Files sections.
    + Fix reduce coverage for Jonathan Dempsey.
    + Fix list all authors of ladspa headers.
    + Fix cover wasp plugin, cmake scripts, and another author of main
      upstream source.
    + Fix cover a file where license is guessed.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage of packaging.
    + Relicense packaging as GPL-3+.
  * Update watch file:
    + Bump to version 4.
    + Mention gpb in usage comment.
    + Add filenamemangle.
    + Tighten uversionmangle.
    + Tighten version match.
  * Update package relations:
    + Relax to build-depend unversioned on libsndfile1-dev: Needed
      version satisfied even in oldstable.
  * Improve copyright-check:
    + Move to manually invoked script in source (not run during build).
      Stop build-depend on licensecheck.
    + Extract metadata from spreadsheets (not only images).
    + Skip images and audio without metadata.
    + Skip more types of compiled localizations.
  * Drop TODO about manpage generation peculiarity: Upstream shipped
    manpage used since 0.9.7-1.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Modernize cdbs:
    + Drop build target get-orig-source: Use gbp import-orig --uscan.
  * Install only compiled machine-readable locale files (not XML nor
    maintenance tools).
    Drop (wrong) lintian suppression about installed maintenance tools.
  * Suggest ladspa-plugin.
  * (Re)generate locale files from code sources during build.
  * Advertise DEP3 format in patch headers.
  * Add patch 1002 to include ca locale when regenerating translations.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Jul 2017 08:38:57 +0200

hydrogen (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7
  * Split package.
    * hydrogen - binary
    * hydrogen-data * architecture-independent data files
                    * demo_songs, drumkits, translations
    * hydrogen-doc  * documentation
  * debian/patches
    * Patches refreshed.
    * Renumbering patches.
    * Add patch to fix install path for upstream man pages.
    * 1008-desktop.patch not needed anymore.
    * portaudio patch refreshed/enabled.
    * Add patch fixing CXX FLAGS.
    * Add spelling patch.
    * Patches forwarded.
  * debian/control
    * Bump Standards.
    * Fix VCS fields.
    * Add me as uploader also to control.in file.
  * debian/copyright
    * Update copyright_hints.
    * Update copyright file.
  * debian/rules
    * Fix hardening.
    * Set dh/compat 10.
  * Remove menu file.
  * Improve README.source file.
  * Set section doc for doc package.
  * Add link to SVG icon. (Closes: #795474)
  * Build docs. (Closes: #629107)
    * Thanks to James Cowgill!
  * Set libportmidi-dev linux-any to build on non-linux archs (Closes: #591301).
  * Add hydrogen-data.lintian-overrides file.
  * Don't create xmp icon.
  * Not install xpm icon any more.
  * Remove B-D for image conversion - not needed any more.
  * Don't sign tags.
  * Handle upstream git files by d/gbp.conf rather then d/copyright.
  * Install upstream man pages and hydrogen.appdata.xml.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 29 Nov 2016 22:01:10 +0000

hydrogen (0.9.6.1-1) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 9.
  * Fix use canonical Vcs-Git URL.
  * Add Keywords to desktop file.
  * Update copyright file.
  * Add myself as uploader.
  * Add libpulse-dev as build-dep.
  * Add librubberband-dev as build-dep.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 21 Oct 2014 14:02:46 +0200

hydrogen (0.9.6~beta3-1) unstable; urgency=low

  * Team upload.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh debian/patches/09_portaudio_v2.patch.
  * Drop 1007_off_by_one_in_jackmidi.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Oct 2013 15:19:02 +0100

hydrogen (0.9.6~beta2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Don't install extra/serverTools directory, it is no longer provided.
  * Fix off-by-one error in JACK MIDI.
    Thanks to Roland Mas for the patch! (Closes: #661725)

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Jun 2012 11:50:06 +0200

hydrogen (0.9.6~beta1-3) unstable; urgency=low

  * Team upload.

  [ Adrian Knoth ]
  * Add patch to fix FTBFS with gcc-4.7 (Closes: #667203).

  [ Alessio Treglia ]
  * Update debian/copyright to machine-readable format.
  * Bump Standards-Version.
  * Regenerate debian/control.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 May 2012 11:28:41 -0700

hydrogen (0.9.6~beta1-2) unstable; urgency=low

  * Replace rsvg with rsvg-convert to convert SVG to PNG image (LP: #935170):
    - Future versions of librsvg won't provide the 'rsvg' tool anymore.

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Feb 2012 17:46:48 +0100

hydrogen (0.9.6~beta1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Improve debian/watch file.
    - Detect upstream beta, alpha and rc releases.
  * Switch buildsystem from scons to cmake.
  * Replace negated list of non-linux architectures with linux-any.
  * Refresh debian/patches/09_portaudio_v2.patch.
  * Remove debian/patches/1002_relax_SCons_linux2_resolving.patch and
    other scons-specific patches as buildsystem has changed to cmake.
  * Refresh 1005_name_shouldnt_repeat_genericname.patch, plus some
    additions:
    - Remove deprecated FilePattern, Encoding keys.
    - Add trailing ';' to the MimeType field.
    - Remove unregistered 'Sound' value from Categories.
  * Remove 1006_werror_format_security.patch, applied upstream.
  * Add -lporttime to LDFLAGS to avoid FTBFS.
  * debian/copyright:
    - Fix lintian's copyright-refers-to-symlink-license warnings.
  * Don't install empty directories.
  * Delete development files and both shared and static objects for
    now, we'll introduce them once upstream will have released a
    stable release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 Jan 2012 10:49:02 +0100

hydrogen (0.9.5-4) unstable; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * hydrogen.desktop's Name entry should not repeat GenericName description
    (Closes: #640983)
  * Prevent FTBFS with -Werror=format-security enabled (Closes: #643406).

  [ Andres Mejia ]
  * Prevent build failure from double installation of images.

 -- Andres Mejia <amejia@debian.org>  Sun, 25 Dec 2011 12:14:18 -0500

hydrogen (0.9.5-3) unstable; urgency=low

  * Team upload.
  * Add patch to fix linking order. This avoids build failure
    with --as-needed (Closes: #632229, LP: #803182).
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 01 Jul 2011 10:03:10 +0200

hydrogen (0.9.5-2) unstable; urgency=low

  * Team upload.
  * Drop LASH support.
  * Bump Standards.
  * Regenerate debian/control.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 19:27:17 +0200

hydrogen (0.9.5-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#618694. Thanks to rosea grammostolla.
  * Adjust copyright-check suppression hint to work with recent CDBS
    (strip leading ./ ).
  * Update build-dependencies for new release:
    + Build-depend on poxml, xmlto and libxml2-utils.
    + Tighten build-dependency on libsndfile1-dev.
    + Stop build-depending on libtinyxml-dev, libflac++-dev or
      libflac-dev.
  * Recommend rubberband-cli.
  * Set QTDIR during build: according to upstream INSTALL.txt this
    avoids potential clash with Qt3.
  * Update patches:
    + Drop patch 0001: Applied upstream.
    + Drop already commented out patches 02 03 07 08 1001: Obsolete.
    + Unfuzz patch 1002.
    + Add patch 1001 to set patch to rubberband CLI.
    + Add patch 1003 to add linkage required with GCC 4.5.
  * Extend copyright years in header of rules file.
  * Update copyright file:
    + Rewrite using Subversion rev.173 of draft DEP5 format.
    + Extend copyright years.
    + Drop Files and License sections of no longer included files.
  * Put aside upstream-generated docs during build and regenerate
    ourselves.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Mar 2011 01:19:09 +0100

hydrogen (0.9.4.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Upload to unstable.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Sat, 12 Feb 2011 13:59:56 +0100

hydrogen (0.9.4.2-1) experimental; urgency=low

  [ Jonas Smedegaard ]
  * debian/copyright:
    - refer to unversioned GNU licenses when relevant, and mention "Debian
      GNU systems" (not the too narrow "Debian GNU/Linux systems").
    - refer to less vaguely to unversioned GNU licenses.

  [ Adrian Knoth ]
  * Recommend hydrogen-drumkits

  [ Alessio Treglia ]
  * Add .gitignore file.
  * New upstream release.
  * Update Standards-Version to 3.9.1.
  * Drop 10_portmidi_v2.patch, applied upstream.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Fri, 22 Oct 2010 20:06:10 +0200

hydrogen (0.9.4.1-1) unstable; urgency=low

  * New upstream bugfix release. Thanks to Sebastian Moors.
  * Rewrite package descriptions based on upstream README. Thanks again
    to Sebastian Moors.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 21:23:01 +0200

hydrogen (0.9.4-4) unstable; urgency=low

  * Disable patch 1001 (Use system-installed TinyXml), apparently
    causing Hydrogen to segfault.
    Closes: bug#575310, thanks to Nico Golde.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Mar 2010 01:05:38 +0100

hydrogen (0.9.4-3) unstable; urgency=low

  * Add TODO on generating manpage using help2man.
  * Drop all local copyright-check.mk.
  * Tighten build-dependency on cdbs to versions providing
    functionalitites previously included locally.
  * Add patch 1001 to use system-installed TinyXml. Build-depend on
    libtinyxml-dev.
  * Refresh patches with shortening quilt options -pab --no-timestamps
    --no-index.
  * Renumber patch 0001 (relax SCons linux2 resolving) to 1002, to
    actually follow our local micro-naming-policy.
  * Add new patch 0001 cherry-picked from upstream SVN to silence
    harmless Scons warning.
  * Install manpage generated using help2man (and ship with source - for
    some reason it fails to work as part of normal builds). Update TODO.
  * Skip superfluous copyright-check of some binary files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Mar 2010 12:34:42 +0100

hydrogen (0.9.4-2) unstable; urgency=low

  * Update local CDBS snippets:
    + Improve package-relationships.mk to strip unversioned build-
      dependency following same versioned.
    + Refer to FSF website (not postal address) in license headers.
    + Bump copyright years.
    + Handle cdbs 0.4.67~ in package-relations.mk.
    + Make copyright-check.mk strict when in DEB_MAINTAINER_MODE.
    + Fix force use LC_ALL=C in copyright-check.mk.
  * Add patch 0001 to relax SCons linux2 resolving. Closes: bug#570557,
    thanks to dann frazier.
  * Add README to patch dir in source, documenting local patch numbering
    scheme.
  * Refer to FSF website (not postal address) in rules file and
    copyright file.
  * Drop setup DEB_MAINTAINER_MODE in rules file (done in snippets now).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 16:51:50 +0100

hydrogen (0.9.4-1) unstable; urgency=low

  * New upstream release. Closes: bug#551839, thanks to Larry Holish.
    + Apparently solves startup crash on AMD64. Closes: bug#402635,
      thanks to Simon Guest.
    + Uses splash screen (not intro dialog too wide for some screens).
      Closes: bug#501044, thanks to Klaus Ade Johnstad.
  * Adopt package: Set Debian Multimedia team as maintainer, and myself
    as uploader.
  * Package now git-maintained: Add Vcs-* stanzas to control file.
  * Add README.source, documenting CDBS, git-buildpackage and
    DEB_MAINTAINER_MODE.
  * Add and make use of local CDBS snippets:
    + upstream-tarball.mk
    + buildinfo.mk.
    + copyright-check.mk.
    + package-relations.mk.
    + scons.mk (replacing autotools.mk).
  * Repackage using source format '3.0 "quilt"'.
  * Drop some patches:
    + 00: Upstream manuals now include proper charset declaration.
    + 01: Promoting Debian maintainance unnecessary, and might be
      inaccurate (patch have been wrong for several years).
    + 04: Improved FLAC support adopted upstream now.
    + 05: No longer applying (apparently fixed upstream).
    + 06: No longer applying.
  * Refresh remaining patches and uniform to always strip a single
    prefix (i.e. 'patch -p 1').
  * Unfuzz and update file locations of patches 02 and 08.
  * Disable patches 02, 03, 07 and 08 (all compilation fixes), possibly
    no longer needed.
  * Add patches 09 and 10 adjusting PortAudio and PortMIDI support to v2
    API.
  * Build-depend on libtarchive-dev, port19audio-dev, libportmidi-dev,
    liblash-dev and libqt4-dev (and not libqt3-mt-dev).
  * Build-depend on librsvg2-bin and Build-depend on netpbm, and
    generate (not ship premade file) menu icon based on upstream
    graphics: SVG → PNG → XPM.
  * Drop Debian-local XDG desktop file: Upstream ships one now.
  * Install symlinks in examples dir to demo_songs.
  * Install PHP serverTools files as examples.
  * Drop manpage symlink for hydrogenPlayer (not currently built).
  * Bump Standards-Version to 3.8.4.
  * Rewrite copyright file using draft DEP5 rev135 format.
  * Add copyright header to debian/rules.
  * Bump debhelper compat level and build-dependency to 6.
  * Maintain build-dependencies with CDBS in debian/rules.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Feb 2010 06:26:18 +0100

hydrogen (0.9.3-7) unstable; urgency=low

  * QA upload.
  * Fix FTBFS on GNU/kFreeBSD
    Patch by Cyril Brulebois <kibi@debian.org>
    Closes: 550303

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 Oct 2009 13:21:39 +1100

hydrogen (0.9.3-6) unstable; urgency=low

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Acknowledge NMU, thanks Marc!
  * debian/old-patches/*:
    - Removed, fixed upstream long ago.
  * debian/patches/06_drumkit_load.patch:
    - Fix crash with missing drumkit samples (Closes: #448332).
  * debian/patches/07_gcc44.patch:
    - Fix build failure with gcc-4.4 (Closes: #505029).
  * debian/patches/*:
    - Add description to patches.
  * debian/changelog:
    - Adjust old entry to fix lintian's syntax-error-in-debian-changelog.
  * debian/compat:
    - Bump compat level to 5.
  * debian/control:
    - Bump debhelper minimum version to be at least >= 5.
    - Bump Standards-Version to 3.8.3.
    - Add Homepage field.
    - Add ${misc:Depends} to Depends.
    - Remove useless Conflicts/Replaces fields.
    - Fix some inaccuracies in package description.
  * debian/copyright:
    - Adjust download location.
    - Add copyright notice.
    - Fix FSF address.
    - Point to versioned common-license file.
  * debian/dirs:
    - Removed, useless.
  * debian/hydrogen.desktop:
    - Adhere to Freedesktop.org specification.
  * debian/menu:
    - Adhere to new Debian Menu sub-policy.
  * debian/watch:
    - Add watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 29 Sep 2009 23:20:30 +0200

hydrogen (0.9.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * 03_gcc43.patch: Extended with patch from KiBi (Closes: #456078)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 21:43:28 +0100

hydrogen (0.9.3-5) unstable; urgency=low

  * Recompiling. Seems that libflac++6 version 1.2 is not binary
    compatible to 1.1.4 (closes: #447292)(closes: #445237)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 22 Oct 2007 18:05:33 +0200

hydrogen (0.9.3-4) unstable; urgency=low

  * incorporated patch for building with flac (thanks guys !) library (closes: #426650,#427745)
  * Applied patch for gcc 4.3 (closes: #417229)
  * Applied patch for default song behaviour (closes: #428052)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 18 Jun 2007 18:50:31 +0200

hydrogen (0.9.3-3) unstable; urgency=low

  * Changed build-dev liblrdf-dev --> liblrdf0-dev

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 24 Jan 2007 08:50:39 +0100

hydrogen (0.9.3-2) unstable; urgency=low

  * Added desktop file (closes: 351884)(closes: #376899)
  * Added conditional build-dep for kfreebsd-amd64 hurd-i386 (closes: #361491)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  6 Jul 2006 14:49:45 +0200

hydrogen (0.9.3-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/02_gcc41.patch: Remove extra qualification from C++ header
    file (closes: #357084).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 12:28:18 +0200

hydrogen (0.9.3-1) unstable; urgency=low

  * New upstream version
  * Applied documentation regeneration patch, old versions had problems
    with accents (closes: #317880)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  2 Mar 2006 09:55:27 +0100

hydrogen (0.9.2final-3) unstable; urgency=low

  * Removed build dependency on xlibs-dev (closes: #346718)
  * Conditional build depends on libasound2-dev for FreeBSD (closes: #336851)
  * Finally added menu icon (closes: #299410)
  * Fixed manpage installation (closes: #328963)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon,  9 Jan 2006 15:15:03 +0100

hydrogen (0.9.2final-2) unstable; urgency=low

  * Included patch for gui performance (closes: #331259)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon,  3 Oct 2005 17:50:18 +0200

hydrogen (0.9.2final-1) unstable; urgency=low

  * New upstream version (closes: #328233)
  * Recompile against new flac (closes: #325959)
  * Added ALSA support
  * removed update-menus calls in makefiles, done by package
  * Added Debian bug information

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 14 Sep 2005 16:00:21 +0200

hydrogen (0.9.2beta3-3) unstable; urgency=low

  * Recompile for new libflac

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  1 Sep 2005 13:00:42 +0200

hydrogen (0.9.2beta3-2) unstable; urgency=low

  * Recompile against new jack library (closes: #317199)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 26 Jul 2005 11:16:45 +0200

hydrogen (0.9.2beta3-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 12 Jun 2005 15:43:07 +0200

hydrogen (0.9.2beta2-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 12 May 2005 16:15:40 +0200

hydrogen (0.9.1-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Rebuilt against the latest libflac-dev, altered the build-dep on
    libflac-dev to >= 1.1.1-3, as per guidance, closes: #289950.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Fri, 21 Jan 2005 16:38:00 +0000

hydrogen (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Fixed cast of pointer to int problem in SongEditor.cpp (closes:
    286423)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue,  4 Jan 2005 15:56:21 +0100

hydrogen (0.9.0-1) unstable; urgency=low

  * New upstream version (closes: #271835)
  * Upstream replaced abs with fabs in lib/Hydrogen.cpp (closes:
    #266249)
  * removed drumkit loader patch (integrated upstream)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 15 Sep 2004 18:53:33 +0200

hydrogen (0.8.2-2) unstable; urgency=medium

  * Fixed .h file generation from .ui files (closes: #264666)
  * New upstream fixes export as wav file functionality (closes:
    #239920)
  * Fixed problem when loading drumkits with spaces in path (patch)
    (closes: #244517)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 16 Aug 2004 16:53:54 +0200

hydrogen (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Moved to tarball build system

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 15 Mar 2004 19:03:39 +0100

hydrogen (0.8.1-2) unstable; urgency=low

  * recompilation with new JACK

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 16 Jan 2004 17:05:46 +0100

hydrogen (0.8.1-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 13 Jan 2004 18:28:19 +0100

hydrogen (0.8.0-1) unstable; urgency=low

  * Release 0.8.0

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 14 Jul 2003 20:42:06 +0200

hydrogen (0.7.6-1) unstable; urgency=low

  * Release 0.7.6

 -- Alessandro Cominu <comix@users.sourceforge.net>  Mon, 24 Mar 2003 16:00:00 +0100

hydrogen (0.7.5-1) unstable; urgency=low

  * Release 0.7.5

 -- Alessandro Cominu <comix@users.sourceforge.net>  Sun, 23 Feb 2003 23:30:00 +0100

hydrogen (0.7.4-1) unstable; urgency=low

  * Fixed bugin Song Export
  * Application font selection in preferences
  * Many little bug fix

 -- Alessandro Cominu <comix@users.sourceforge.net>  Sun, 09 Feb 2003 14:00:00 +0100

hydrogen (0.7.3-1) unstable; urgency=low

  * Many audio engine bugfix
  * New Audio Engine Information Dialog
  * New Instrument properties Dialog
  * Current playing pattern highlight
  * New Export song dialog (replaces DiskWriterDriver)
  * New play sample button in Mixer

 -- Alessandro Cominu <comix@users.sourceforge.net>  Sun, 02 Feb 2003 18:00:00 +0100

hydrogen (0.7.2-1) unstable; urgency=low

  * First debian package.

 -- Alessandro Cominu <comix@users.sourceforge.net>  Sat, 04 Jan 2003 13:50:00 +0100
